Groovy Documentation

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyMemberDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

All Implemented Interfaces:
  GroovyMemberDoc

    public class SimpleGroovyMemberDoc
    extends SimpleGroovyAbstractableElementDoc

Field Summary
`protected GroovyClassDoc` | `belongsToClass`

Constructor Summary
`SimpleGroovyMemberDoc(java.lang.String name, GroovyClassDoc belongsToClass)`

Method Summary
`java.lang.String` | `commentText()`
`java.lang.String` | `firstSentenceCommentText()`
`boolean` | `isSynthetic()`

Methods inherited from class SimpleGroovyAbstractableElementDoc
isAbstract, setAbstract

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc

calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### belongsToClass

    protected GroovyClassDoc belongsToClass

Constructor Detail

### SimpleGroovyMemberDoc

    public SimpleGroovyMemberDoc(java.lang.String name, GroovyClassDoc belongsToClass)

Method Detail

### commentText

    public java.lang.String commentText()

### firstSentenceCommentText

    public java.lang.String firstSentenceCommentText()

### isSynthetic

    public boolean isSynthetic()

Groovy Documentation